#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);
    cin.tie(nullptr);
    int a, b;
    string k;
    cin >> a >> b;
    for(int i = 0;i < a;i++)
        cin >> k;

    cout << -1 << endl;
}